var k = [];
var spawned = -3; for (var i = 0; i < spawnedEntities.length; i++) {var ent = spawnedEntities[i];
ent.setAttackStrength(ent.getAttackStrength()*-spawned); spawned = 0;}

for (var i = 0; i < spawnedEntities.length; i++) {k[i] = 0;}

function drop(ent) {
    var heartChance = (player.getMaxHealth() / player.getHealth()) / 10;
    if (player.getHealth() == player.getMaxHealth()) {
        heartChance = 0;
    }
    if (Math.random() <= heartChance || player.getHealth() < 12) {
    }
    var rand = Math.floor(Math.random() * 20);
    switch (rand) {
    case 0:
    case 1:
    case 2: 
    case 3:
    case 4:
    case 5: //3 in 10 chance for one Zombie Meat(placeholder for currency)
        ent.dropItem(Item(262, Math.random() * 20 + 4));
        ent.dropItem(Item(352, Math.random() * 15 + 8));
	break;
    case 6:
    case 7:
    case 8: 
    case 9:
    case 10:
    case 11: //3 in 10 chance for one Zombie Meat(placeholder for currency)
        ent.dropItem(Item(262, Math.random() * 15 + 4));
        ent.dropItem(Item(352, Math.random() * 12 + 8));
        ent.dropItem(Item(298, Math.random() * 5 + 2));
	break;
    case 12:
    case 13:
    case 14: 
    case 15:
    case 16:
    case 17: //3 in 10 chance for one Zombie Meat(placeholder for currency)
        ent.dropItem(Item(262, Math.random() * 30 + 4));
        ent.dropItem(Item(352, Math.random() * 12 + 6));
	break;
    case 18:
    case 19:
    case 20: //3 in 10 chance for one Zombie Meat(placeholder for currency)
        ent.dropItem(Item(262, Math.random() * 10 + 3));
        ent.dropItem(Item(352, Math.random() * 25 + 12));
	break;
    }
    return;
}